=== abiword-plugins/wp/impexp/bz2abw/Makefile ===
#! gmake

## AbiWord
## Copyright (C) 1998 AbiSource, Inc.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  
## 02111-1307, USA.

ABI_ROOT:=$(shell pwd)/../../../../abi
include $(ABI_ROOT)/src/config/abi_defs.mk

DIRS=				xp

LIBRARY_NAME=		AbiBZ2Abw
LIBRARY_VERSION=	$(ABI_VERSION)
TARGETS=			$(PLUGIN)

OBJS=				$(OBJDIR)/ie_impexp_BZ2Abw.$(OBJ_SUFFIX)

ifeq ($(ABI_FE), Win32)
  ifeq ($(OS_NAME), MINGW32)
	EXTRA_LIBS+=	-lAbiWord.dll
	EXTRA_LIBS+=	-lbz2
  else
	EXTRA_LIBS+=	$(BINDIR)/AbiWord.$(LIB_SUFFIX) 
	EXTRA_LIBS+=	$(ABI_ROOT)/../libs/bzip2/libbz2.$(LIB_SUFFIX)
  endif
else
	EXTRA_LIBS = -lbz2
endif

include $(ABI_ROOT)/src/config/abi_rules.mk

build:: $(TARGETS)
