=== abiword-plugins/wp/impexp/xsl-fo/Makefile ===
#! gmake

## AbiWord
## Copyright (C) 1998 AbiSource, Inc.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  
## 02111-1307, USA.

ABI_ROOT:=$(shell pwd)/../../../../abi
include $(ABI_ROOT)/src/config/abi_defs.mk

DIRS=				xp

LIBRARY_NAME=		AbiXSLFO
LIBRARY_VERSION=	$(ABI_VERSION)
TARGETS=			$(PLUGIN)

OBJS=				$(OBJDIR)/ie_exp_XSL-FO.$(OBJ_SUFFIX) \
					$(OBJDIR)/ie_imp_XSL-FO.$(OBJ_SUFFIX) \
					$(OBJDIR)/ie_impexp_XSL-FO.$(OBJ_SUFFIX) 	

OBJS+=              $(OBJDIR)/ut_map.$(OBJ_SUFFIX) \
					$(OBJDIR)/ut_rbtree.$(OBJ_SUFFIX)


ifeq ($(ABI_FE), Win32)
ifeq ($(OS_NAME), MINGW32)
	EXTRA_LIBS+=  -lAbiWord.dll
else
	EXTRA_LIBS+=  $(BINDIR)/AbiWord.$(LIB_SUFFIX) 
endif
endif

include $(ABI_ROOT)/src/config/abi_rules.mk

build:: $(TARGETS)
