=== abi/src/pkg/maemo/debian/control ===
Source: abiword
Section: editors
Priority: optional
Maintainer: Rodrigo Parra Novo <rodrigo.novo@indt.org.br>
Uploaders: Rodrigo Parra Novo <rodrigo.novo@indt.org.br>
Build-Depends: debhelper (>> 4.0.0), libfribidi-dev, libglib2.0-dev, libgtk2.0-dev, libjpeg62-dev, libpng12-dev, libreadline4-dev
Standards-Version: 3.6.1

Package: abiword
Section: editors
Architecture: any
Description: WYSIWYG word processor for the Maemo Development Platform
 Maemo Word Processor is a complete Word Processing application for the
 Maemo Development Platform. AbiWord is Distributed under GPL, 
 copyright 2005 Dominic Lachowicz and others. The Maemo port is by INdT.org.br.
